Closed Bug 913712 Opened 7 years ago Closed 3 years ago

[meta] Use L20n in Gaia

Categories

(Firefox OS Graveyard :: Gaia, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED INCOMPLETE

People

(Reporter: stas, Unassigned)

References

Details

(Keywords: meta)

This is a tracking bug for switching Gaia to L20n.

L20n is the next-generation localization framework and a localization-specific scripting language used to process gender, plurals, conjugations, and most of the other quirky elements of natural language.  It was designed to make multilingual code easier to maintain and to increase the quality of translations. 

More information can be found at the URLs below and in bugs blocking this one.

  http://l20n.org
  https://developer.mozilla.org/en-US/docs/L20n
  https://github.com/l20n/l20n.js
adding navigator.languages bugs for full language negotiation.
Depends on: 889335, 780953
Depends on: 914414
Summary: [meta] Use L20n in Gaia → [meta] Use L10n in Gaia
Sorry for bugspam, got confused by multiple differently named bugs …
Summary: [meta] Use L10n in Gaia → [meta] Use L20n in Gaia
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.